public inbox for gcc-help@gcc.gnu.org
 help / color / mirror / Atom feed
* Problem building gcc-4.2.2 64-bit on hp-ux 11.11
@ 2007-12-19  9:30 Thomas Mittelstaedt
  2007-12-19 11:24 ` Listaccount
  0 siblings, 1 reply; 8+ messages in thread
From: Thomas Mittelstaedt @ 2007-12-19  9:30 UTC (permalink / raw)
  To: gcc-help

Hallo,

When I built the 32-bit compiler on the platform via
 ../configure --prefix=/localbuild/opt/ 
--enable-version-specific-runtime-libs --enable-static --enable-shared 
--with-gnu-as --with-as=/localbuild/opt/hp-gcc-4.1.2/bin/as 
--with-build-time-tools=/localbuild/opt/hp-gcc-4.1.2/bin/ 
--enable-threads=posix --disable-nls --enable-languages="c,c++,objc"
and
  make LDFLAGS='-pthread' BOOT_LDFLAGS="-pthread" CFLAGS='-O' 
LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 -fno-implicit-templates' bootstrap

the -pthread flags would make it through all the configure scripts and 
successfully build the compiler.

When I try to build the 64-bit compiler via
../configure   --prefix=/localbuild/opt/gcc-4.2.2-64 
--host=hppa64-hp-hpux11.11 --target=hppa64-hp-hpux11.11 
--build=hppa64-hp-hpux11.11 --enable-version-specific-runtime-libs 
--enable-static --enable-shared --with-gnu-as 
--with-as=/localbuild/opt/hp-gcc64-4.1.2/bin/as 
--with-build-time-tools=/localbuild/opt/hp-gcc64-4.1.2/bin/ 
--enable-threads=posix --disable-nls --without-gnu-ld 
--with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,java,objc

make LDFLAGS='-pthread -lpthread' BOOT_LDFLAGS="-pthread -lpthread" 
LDFLAGS_FOR_BUILD="-pthread -lpthread" CFLAGS='-O' LIBCFLAGS='-g -O2' 
LIBCXXFLAGS='-g -O2 -fno-implicit-templates' bootstrap


i am getting errors in stage 3:
make[2]: `compare' is up to date.
make[2]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
make[1]: Entering directory `/localbuild/gcc-4.2.2/.obj'
Configuring in ./fixincludes
configure: loading cache ./config.cache
checking build system type... hppa64-hp-hpux11.11
checking host system type... hppa64-hp-hpux11.11
checking target system type... hppa64-hp-hpux11.11
checking for hppa64-hp-hpux11.11-gcc... 
/localbuild/gcc-4.2.2/.obj/./gcc/xgcc 
-B/localbuild/gcc-4.2.2/.obj/./gcc/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include
checking for C compiler default output file name... configure: error: C 
compiler cannot create executables
See `config.log' for more details.
make[1]: *** [configure-fixincludes] Error 1
make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
make: *** [bootstrap] Error 2


configure:1780: checking for C compiler default output file name
configure:1783: /localbuild/gcc-4.2.2/.obj/./gcc/xgcc 
-B/localbuild/gcc-4.2.2/.obj/./gcc/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include -O2 -O    
conftest.c  >&5
ld: Unsatisfied symbol "pthread_mutex_unlock" in file 
/localbuild/gcc-4.2.2/.obj/./gcc/libgcc_eh.a[unwind-dw2-fde.o]
ld: Unsatisfied symbol "pthread_mutex_lock" in file 
/localbuild/gcc-4.2.2/.obj/./gcc/libgcc_eh.a[unwind-dw2-fde.o]
2 errors.
collect2: ld returned 1 exit status
configure:1786: $? = 1
configure: failed program was:


Where can I put the damn -pthread, so that it really gets passed to all 
scripts. I bootstrapped from gcc-4.1.2 which I downloaded from
hp's dspp website.


thomas

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Problem building gcc-4.2.2 64-bit on hp-ux 11.11
  2007-12-19  9:30 Problem building gcc-4.2.2 64-bit on hp-ux 11.11 Thomas Mittelstaedt
@ 2007-12-19 11:24 ` Listaccount
  2007-12-19 11:44   ` Thomas Mittelstaedt
  0 siblings, 1 reply; 8+ messages in thread
From: Listaccount @ 2007-12-19 11:24 UTC (permalink / raw)
  To: gcc-help

Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:

> Hallo,
>
> When I built the 32-bit compiler on the platform via
> ../configure --prefix=/localbuild/opt/
> --enable-version-specific-runtime-libs --enable-static --enable-shared
> --with-gnu-as --with-as=/localbuild/opt/hp-gcc-4.1.2/bin/as
> --with-build-time-tools=/localbuild/opt/hp-gcc-4.1.2/bin/
> --enable-threads=posix --disable-nls --enable-languages="c,c++,objc"
> and
>  make LDFLAGS='-pthread' BOOT_LDFLAGS="-pthread" CFLAGS='-O'
> LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 -fno-implicit-templates'
> bootstrap
>
> the -pthread flags would make it through all the configure scripts and
> successfully build the compiler.
>
> When I try to build the 64-bit compiler via
> ../configure   --prefix=/localbuild/opt/gcc-4.2.2-64
> --host=hppa64-hp-hpux11.11 --target=hppa64-hp-hpux11.11
> --build=hppa64-hp-hpux11.11 --enable-version-specific-runtime-libs
> --enable-static --enable-shared --with-gnu-as
> --with-as=/localbuild/opt/hp-gcc64-4.1.2/bin/as
> --with-build-time-tools=/localbuild/opt/hp-gcc64-4.1.2/bin/
> --enable-threads=posix --disable-nls --without-gnu-ld
> --with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,java,objc
>
> make LDFLAGS='-pthread -lpthread' BOOT_LDFLAGS="-pthread -lpthread"
> LDFLAGS_FOR_BUILD="-pthread -lpthread" CFLAGS='-O' LIBCFLAGS='-g -O2'
> LIBCXXFLAGS='-g -O2 -fno-implicit-templates' bootstrap
>
>
> i am getting errors in stage 3:
> make[2]: `compare' is up to date.
> make[2]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
> make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
> make[1]: Entering directory `/localbuild/gcc-4.2.2/.obj'
> Configuring in ./fixincludes
> configure: loading cache ./config.cache
> checking build system type... hppa64-hp-hpux11.11
> checking host system type... hppa64-hp-hpux11.11
> checking target system type... hppa64-hp-hpux11.11
> checking for hppa64-hp-hpux11.11-gcc...
> /localbuild/gcc-4.2.2/.obj/./gcc/xgcc
> -B/localbuild/gcc-4.2.2/.obj/./gcc/
> -B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/
> -B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem
> /localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem
> /localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include
> checking for C compiler default output file name... configure: error: C
> compiler cannot create executables
> See `config.log' for more details.
> make[1]: *** [configure-fixincludes] Error 1
> make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
> make: *** [bootstrap] Error 2

Which compiler do you use to build gcc?? Be aware that you need a 32  
Bit and a 64 Bit compiler on PA-RISC if you use some older gcc to  
compile gcc. Not sure about the aCC compiler from HP and for the  
PA-RISC systems the bundeled compiler does not work because it is not  
ANSI compliant but K&R.

For more help on PA-RISC/HP-UX gcc have a look at
http://mirrors.develooper.com/hpux/index.html#Gcc
and
http://hpux.connect.org.uk/hppd/cgi-bin/wwwtar?/hpux/Gnu/gcc-4.2.2/gcc-4.2.2-src-11.11.tar.gz+gcc-4.2.2/HPUX.Install+text


Regards

Andreas


^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Problem building gcc-4.2.2 64-bit on hp-ux 11.11
  2007-12-19 11:24 ` Listaccount
@ 2007-12-19 11:44   ` Thomas Mittelstaedt
  2007-12-20  8:52     ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems Thomas Mittelstaedt
  0 siblings, 1 reply; 8+ messages in thread
From: Thomas Mittelstaedt @ 2007-12-19 11:44 UTC (permalink / raw)
  To: Listaccount; +Cc: gcc-help

Thank you for the urls. I'll check them out.
I downloaded gcc 4.1.2 from hp dspp. I bootstrapped the 32-bit gcc from 
their 32-bit compiler, and it all worked.
I bootstrapped 64-bit gcc from their 64-bit version and I'm in a mess.

thomas

Listaccount schrieb:
> Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:
>
>   
>> Hallo,
>>
>> When I built the 32-bit compiler on the platform via
>> ../configure --prefix=/localbuild/opt/
>> --enable-version-specific-runtime-libs --enable-static --enable-shared
>> --with-gnu-as --with-as=/localbuild/opt/hp-gcc-4.1.2/bin/as
>> --with-build-time-tools=/localbuild/opt/hp-gcc-4.1.2/bin/
>> --enable-threads=posix --disable-nls --enable-languages="c,c++,objc"
>> and
>>  make LDFLAGS='-pthread' BOOT_LDFLAGS="-pthread" CFLAGS='-O'
>> LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 -fno-implicit-templates'
>> bootstrap
>>
>> the -pthread flags would make it through all the configure scripts and
>> successfully build the compiler.
>>
>> When I try to build the 64-bit compiler via
>> ../configure   --prefix=/localbuild/opt/gcc-4.2.2-64
>> --host=hppa64-hp-hpux11.11 --target=hppa64-hp-hpux11.11
>> --build=hppa64-hp-hpux11.11 --enable-version-specific-runtime-libs
>> --enable-static --enable-shared --with-gnu-as
>> --with-as=/localbuild/opt/hp-gcc64-4.1.2/bin/as
>> --with-build-time-tools=/localbuild/opt/hp-gcc64-4.1.2/bin/
>> --enable-threads=posix --disable-nls --without-gnu-ld
>> --with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,java,objc
>>
>> make LDFLAGS='-pthread -lpthread' BOOT_LDFLAGS="-pthread -lpthread"
>> LDFLAGS_FOR_BUILD="-pthread -lpthread" CFLAGS='-O' LIBCFLAGS='-g -O2'
>> LIBCXXFLAGS='-g -O2 -fno-implicit-templates' bootstrap
>>
>>
>> i am getting errors in stage 3:
>> make[2]: `compare' is up to date.
>> make[2]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
>> make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
>> make[1]: Entering directory `/localbuild/gcc-4.2.2/.obj'
>> Configuring in ./fixincludes
>> configure: loading cache ./config.cache
>> checking build system type... hppa64-hp-hpux11.11
>> checking host system type... hppa64-hp-hpux11.11
>> checking target system type... hppa64-hp-hpux11.11
>> checking for hppa64-hp-hpux11.11-gcc...
>> /localbuild/gcc-4.2.2/.obj/./gcc/xgcc
>> -B/localbuild/gcc-4.2.2/.obj/./gcc/
>> -B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/
>> -B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem
>> /localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem
>> /localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include
>> checking for C compiler default output file name... configure: error: C
>> compiler cannot create executables
>> See `config.log' for more details.
>> make[1]: *** [configure-fixincludes] Error 1
>> make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
>> make: *** [bootstrap] Error 2
>>     
>
> Which compiler do you use to build gcc?? Be aware that you need a 32  
> Bit and a 64 Bit compiler on PA-RISC if you use some older gcc to  
> compile gcc. Not sure about the aCC compiler from HP and for the  
> PA-RISC systems the bundeled compiler does not work because it is not  
> ANSI compliant but K&R.
>
> For more help on PA-RISC/HP-UX gcc have a look at
> http://mirrors.develooper.com/hpux/index.html#Gcc
> and
> http://hpux.connect.org.uk/hppd/cgi-bin/wwwtar?/hpux/Gnu/gcc-4.2.2/gcc-4.2.2-src-11.11.tar.gz+gcc-4.2.2/HPUX.Install+text
>
>
> Regards
>
> Andreas
>
>
>   

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems
  2007-12-19 11:44   ` Thomas Mittelstaedt
@ 2007-12-20  8:52     ` Thomas Mittelstaedt
  2007-12-20  9:04       ` Listaccount
  0 siblings, 1 reply; 8+ messages in thread
From: Thomas Mittelstaedt @ 2007-12-20  8:52 UTC (permalink / raw)
  To: gcc-help

With a lot of ugly fixing in generated Makefile's, I got past stage 3, 
but now libstdc++ does not build.
The generated config.h in hppa64-hp-hpux11.11/libstdc++-v3 seems to be 
wrong, as there is an fabsf and altera
on my system, at least in the headers.

make[4]: Leaving directory 
`/localbuild/gcc-build/hppa64-hp-hpux11.11/libstdc++-v3/libsupc++'
Making all in libmath
make[4]: Entering directory 
`/localbuild/gcc-build/hppa64-hp-hpux11.11/libstdc++-v3/libmath'
/bin/sh ../libtool --tag CC --mode=compile 
/localbuild/gcc-build/./gcc/xgcc -B/localbuild/gcc-build/./gcc/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include 
-DHAVE_CONFIG_H -I. -I../../../../gcc-4.2.2/libstdc++-v3/libmath 
-I..     -O2 -O  -c -o stubs.lo 
../../../../gcc-4.2.2/libstdc++-v3/libmath/stubs.c
/localbuild/gcc-build/./gcc/xgcc -B/localbuild/gcc-build/./gcc/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/ 
-B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem 
/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include 
-DHAVE_CONFIG_H -I. -I../../../../gcc-4.2.2/libstdc++-v3/libmath -I.. 
-O2 -O -c ../../../../gcc-4.2.2/libstdc++-v3/libmath/stubs.c  -fPIC 
-DPIC -o .libs/stubs.o
../../../../gcc-4.2.2/libstdc++-v3/libmath/stubs.c:38: error: expected 
identifier or '(' before 'float'
../../../../gcc-4.2.2/libstdc++-v3/libmath/stubs.c:38: error: expected 
')' before 'fabs'
make[4]: *** [stubs.lo] Error 1
make[4]: Leaving directory 
`/localbuild/gcc-build/hppa64-hp-hpux11.11/libstdc++-v3/libmath'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory 
`/localbuild/gcc-build/hppa64-hp-hpux11.11/libstdc++-v3'
make[2]: *** [all] Error 2
make[2]: Leaving directory 
`/localbuild/gcc-build/hppa64-hp-hpux11.11/libstdc++-v3'
make[1]: *** [all-target-libstdc++-v3] Error 2
make[1]: Leaving directory `/localbuild/gcc-build'
make: *** [bootstrap] Error 2


Thomas Mittelstaedt schrieb:
> Thank you for the urls. I'll check them out.
> I downloaded gcc 4.1.2 from hp dspp. I bootstrapped the 32-bit gcc from 
> their 32-bit compiler, and it all worked.
> I bootstrapped 64-bit gcc from their 64-bit version and I'm in a mess.
>
> thomas
>
> Listaccount schrieb:
>   
>> Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:
>>
>>   
>>     
>>> Hallo,
>>>
>>> When I built the 32-bit compiler on the platform via
>>> ../configure --prefix=/localbuild/opt/
>>> --enable-version-specific-runtime-libs --enable-static --enable-shared
>>> --with-gnu-as --with-as=/localbuild/opt/hp-gcc-4.1.2/bin/as
>>> --with-build-time-tools=/localbuild/opt/hp-gcc-4.1.2/bin/
>>> --enable-threads=posix --disable-nls --enable-languages="c,c++,objc"
>>> and
>>>  make LDFLAGS='-pthread' BOOT_LDFLAGS="-pthread" CFLAGS='-O'
>>> LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 -fno-implicit-templates'
>>> bootstrap
>>>
>>> the -pthread flags would make it through all the configure scripts and
>>> successfully build the compiler.
>>>
>>> When I try to build the 64-bit compiler via
>>> ../configure   --prefix=/localbuild/opt/gcc-4.2.2-64
>>> --host=hppa64-hp-hpux11.11 --target=hppa64-hp-hpux11.11
>>> --build=hppa64-hp-hpux11.11 --enable-version-specific-runtime-libs
>>> --enable-static --enable-shared --with-gnu-as
>>> --with-as=/localbuild/opt/hp-gcc64-4.1.2/bin/as
>>> --with-build-time-tools=/localbuild/opt/hp-gcc64-4.1.2/bin/
>>> --enable-threads=posix --disable-nls --without-gnu-ld
>>> --with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,java,objc
>>>
>>> make LDFLAGS='-pthread -lpthread' BOOT_LDFLAGS="-pthread -lpthread"
>>> LDFLAGS_FOR_BUILD="-pthread -lpthread" CFLAGS='-O' LIBCFLAGS='-g -O2'
>>> LIBCXXFLAGS='-g -O2 -fno-implicit-templates' bootstrap
>>>
>>>
>>> i am getting errors in stage 3:
>>> make[2]: `compare' is up to date.
>>> make[2]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
>>> make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
>>> make[1]: Entering directory `/localbuild/gcc-4.2.2/.obj'
>>> Configuring in ./fixincludes
>>> configure: loading cache ./config.cache
>>> checking build system type... hppa64-hp-hpux11.11
>>> checking host system type... hppa64-hp-hpux11.11
>>> checking target system type... hppa64-hp-hpux11.11
>>> checking for hppa64-hp-hpux11.11-gcc...
>>> /localbuild/gcc-4.2.2/.obj/./gcc/xgcc
>>> -B/localbuild/gcc-4.2.2/.obj/./gcc/
>>> -B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/bin/
>>> -B/localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/lib/ -isystem
>>> /localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/include -isystem
>>> /localbuild/opt/gcc-4.2.2-64/hppa64-hp-hpux11.11/sys-include
>>> checking for C compiler default output file name... configure: error: C
>>> compiler cannot create executables
>>> See `config.log' for more details.
>>> make[1]: *** [configure-fixincludes] Error 1
>>> make[1]: Leaving directory `/localbuild/gcc-4.2.2/.obj'
>>> make: *** [bootstrap] Error 2
>>>     
>>>       
>> Which compiler do you use to build gcc?? Be aware that you need a 32  
>> Bit and a 64 Bit compiler on PA-RISC if you use some older gcc to  
>> compile gcc. Not sure about the aCC compiler from HP and for the  
>> PA-RISC systems the bundeled compiler does not work because it is not  
>> ANSI compliant but K&R.
>>
>> For more help on PA-RISC/HP-UX gcc have a look at
>> http://mirrors.develooper.com/hpux/index.html#Gcc
>> and
>> http://hpux.connect.org.uk/hppd/cgi-bin/wwwtar?/hpux/Gnu/gcc-4.2.2/gcc-4.2.2-src-11.11.tar.gz+gcc-4.2.2/HPUX.Install+text
>>
>>
>> Regards
>>
>> Andreas
>>
>>
>>   
>>     

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more  problems
  2007-12-20  8:52     ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems Thomas Mittelstaedt
@ 2007-12-20  9:04       ` Listaccount
  2007-12-20 14:38         ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems, SUCCESS Thomas Mittelstaedt
  0 siblings, 1 reply; 8+ messages in thread
From: Listaccount @ 2007-12-20  9:04 UTC (permalink / raw)
  To: gcc-help

Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:

> With a lot of ugly fixing in generated Makefile's, I got past stage 3,
> but now libstdc++ does not build.
> The generated config.h in hppa64-hp-hpux11.11/libstdc++-v3 seems to be
> wrong, as there is an fabsf and altera
> on my system, at least in the headers.

That's how we succed after some trouble when compiling GCC 4.2.2 on  
HP-UX 11.11 (PA-RISC) :

export CONFIG_SHELL=/usr/bin/bash
(Installed from OSS Archiv)

export LANG=C
(wird für gcc 4.x wegen awk/sed auf HPUX und AIX benötigt!!)

export CC=<verwendeter Compiler>
We used some gcc 3.4.x in 32/64Bit build

Config/Build für PA-32Bit 4.2.2:  ../configure --prefix=/opt/gcc-4.2.2  
--mandir=/usr/local/man --with-gnu-as --with-as=/usr/local/bin/gnu-as  
--without-gnu-ld --with-ld=/usr/ccs/bin/ld --disable-nls  
--enable-threads=posix --enable-languages=c,c++

Config/Build für PA-64Bit 4.2.2:  ../configure  
--prefix=/opt/gcc64-4.2.2 --mandir=/usr/local/man  
--with-ar=/usr/bin/ar --with-gnu-as --with-as=/usr/local/bin/gnu64-as  
--without-gnu-ld --with-ld=/usr/ccs/bin/ld --disable-nls  
--enable-threads=posix --enable-languages=c,c++

Important is to *not* use the OS "as" but use some GNU-as with the  
matching 32/64Bit build. For the "ld" you should use the OS "ld", but  
your system should be on a recent patchlevel. It is useful to have GNU  
"awk" and "sed" instead of the OS ones.

For all of the used tools you should always double-check if the  
intentioned one is used by configure.

Regards & good luck

Andreas



^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems,  SUCCESS
  2007-12-20  9:04       ` Listaccount
@ 2007-12-20 14:38         ` Thomas Mittelstaedt
  2007-12-22 21:16           ` Thomas Dineen
  2008-01-10 21:52           ` Resolved: " Thomas Mittelstaedt
  0 siblings, 2 replies; 8+ messages in thread
From: Thomas Mittelstaedt @ 2007-12-20 14:38 UTC (permalink / raw)
  To: Listaccount; +Cc: gcc-help

Thank you, Andreas,

That got it through, though not cleanly as I had to specify those linker 
flags '-pthread -lpthread' in 2
more generated Makefile's, gcc-build/Makefile and fixincludes/Makefile 
after the comparison and when libstdc++ was
built. Somebody can be point to the way to do this properly?
The installed gcc still complains about unsatisfied symbols when linking 
a small test program. Have add -lpthread all the time.


ld: Unsatisfied symbol "pthread_mutex_unlock" in file 
/localbuild/opt/gcc64-4.2.2/lib/gcc/hppa64-hp-hpux11.11/4.2.2/libgcc_eh.a[unwind-dw2-fde.o]
ld: Unsatisfied symbol "pthread_mutex_lock" in file 
/localbuild/opt/gcc64-4.2.2/lib/gcc/hppa64-hp-hpux11.11/4.2.2/libgcc_eh.a[unwind-dw2-fde.o]
2 errors.
collect2: ld returned 1 exit status







Here is my build script:
PATH=/opt/gcc-4.1.2-64/bin:/usr/local/bin:/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/contrib/bin:/opt/hparray/bin:/opt/nettladm/bin:/opt/upgrade/bin:/opt/fcms/bin:/usr/bin/X11:/usr/contrib/bin/X11:/opt/pd/bin:/opt/resmon/bin:/opt/gnome/bin:/opt/mozilla:/opt/wbem/bin:/opt/wbem/sbin:/opt/graphics/common/bin:/opt/atok/bin:/opt/egb/bin:/usr/sbin/diag/contrib:/opt/vje/bin:/opt/hpsmh/bin:/opt/perl/bin:


LDFLAGS='-pthread -lpthread'
BOOT_LDFLAGS='-pthread -lpthread'
LDFLAGS_FOR_BUILD='-pthread -lpthread'
export PATH LDFLAGS BOOT_LDFLAGS LDFLAGS_FOR_BUILD

export CONFIG_SHELL=/usr/local/bin/bash
export LANG=C
export CC='/opt/gcc-4.1.2-64/bin/gcc'

../gcc-4.2.2/configure --prefix=/localbuild/opt/gcc64-4.2.2 
--enable-version-specific-runtime-libs --enable-static --enable-shared 
--with-ar=/usr/bin/ar --with-gnu-as --with-as=/opt/gcc-4.1.2-64/bin/as 
--enable-threads=posix --disable-nls --without-gnu-ld 
--with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,objc

make CFLAGS='-O' LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 
-fno-implicit-templates' LDFLAGS='-pthread -lpthread' 
BOOT_LDFLAGS='-pthread -lpthread' LDFLAGS_FOR_BUILD='-pthread -lpthread' 
bootstrap



*** Makefile~    Thu Dec 20 11:51:02 2007
--- Makefile    Thu Dec 20 15:21:51 2007
***************
*** 149,155 ****
      CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
      DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
      LD="$(LD)"; export LD; \
!     LDFLAGS="$(LDFLAGS)"; export LDFLAGS; \
      NM="$(NM)"; export NM; \
      RANLIB="$(RANLIB)"; export RANLIB; \
      WINDRES="$(WINDRES)"; export WINDRES; \
--- 149,155 ----
      CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
      DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
      LD="$(LD)"; export LD; \
!     LDFLAGS="$(LDFLAGS) -pthread -lpthread"; export LDFLAGS; \
      NM="$(NM)"; export NM; \
      RANLIB="$(RANLIB)"; export RANLIB; \
      WINDRES="$(WINDRES)"; export WINDRES; \
***************
*** 10502,10508 ****
      srcdiroption="--srcdir=$${topdir}/libstdc++-v3"; \
      libsrcdir="$$s/libstdc++-v3"; \
      rm -f no-such-file || : ; \
!     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
        $(TARGET_CONFIGARGS) $${srcdiroption}  \
        || exit 1
 
--- 10502,10508 ----
      srcdiroption="--srcdir=$${topdir}/libstdc++-v3"; \
      libsrcdir="$$s/libstdc++-v3"; \
      rm -f no-such-file || : ; \
!     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
$${libsrcdir}/configure \
        $(TARGET_CONFIGARGS) $${srcdiroption}  \
        || exit 1
 
***************
*** 12017,12023 ****
      srcdiroption="--srcdir=$${topdir}/libiberty"; \
      libsrcdir="$$s/libiberty"; \
      rm -f no-such-file || : ; \
!     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
        $(TARGET_CONFIGARGS) $${srcdiroption}  \
        || exit 1
 
--- 12017,12023 ----
      srcdiroption="--srcdir=$${topdir}/libiberty"; \
      libsrcdir="$$s/libiberty"; \
      rm -f no-such-file || : ; \
!     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
$${libsrcdir}/configure \
        $(TARGET_CONFIGARGS) $${srcdiroption}  \
        || exit 1
 
***************
*** 12970,12976 ****
      srcdiroption="--srcdir=$${topdir}/libgomp"; \
      libsrcdir="$$s/libgomp"; \
      rm -f no-such-file || : ; \
!     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
        $(TARGET_CONFIGARGS) $${srcdiroption}  \
        || exit 1
 
--- 12970,12976 ----
      srcdiroption="--srcdir=$${topdir}/libgomp"; \
      libsrcdir="$$s/libgomp"; \
      rm -f no-such-file || : ; \
!     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
$${libsrcdir}/configure \
        $(TARGET_CONFIGARGS) $${srcdiroption}  \
        || exit 1

*** ./fixincludes/Makefile~     Thu Dec 20 14:53:07 2007
--- ./fixincludes/Makefile      Thu Dec 20 14:55:46 2007
***************
*** 103,109 ****
  twoprocess : test-stamp $(AF)
 
  full-stamp : $(ALLOBJ) $(LIBIBERTY)
!       $(CC) $(CFLAGS) $(LDFLAGS) -o $(FI) $(ALLOBJ) $(LIBIBERTY)
        $(STAMP) $@
 
  test-stamp : $(TESTOBJ) $(LIBIBERTY)
--- 103,109 ----
  twoprocess : test-stamp $(AF)
 
  full-stamp : $(ALLOBJ) $(LIBIBERTY)
!       $(CC) $(CFLAGS) $(LDFLAGS) -pthread -lpthread -o $(FI) $(ALLOBJ) 
$(LIBIBERTY)
        $(STAMP) $@
 
  test-stamp : $(TESTOBJ) $(LIBIBERTY)

 



Listaccount schrieb:
> Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:
>
>   
>> With a lot of ugly fixing in generated Makefile's, I got past stage 3,
>> but now libstdc++ does not build.
>> The generated config.h in hppa64-hp-hpux11.11/libstdc++-v3 seems to be
>> wrong, as there is an fabsf and altera
>> on my system, at least in the headers.
>>     
>
> That's how we succed after some trouble when compiling GCC 4.2.2 on  
> HP-UX 11.11 (PA-RISC) :
>
> export CONFIG_SHELL=/usr/bin/bash
> (Installed from OSS Archiv)
>
> export LANG=C
> (wird für gcc 4.x wegen awk/sed auf HPUX und AIX benötigt!!)
>
> export CC=<verwendeter Compiler>
> We used some gcc 3.4.x in 32/64Bit build
>
> Config/Build für PA-32Bit 4.2.2:  ../configure --prefix=/opt/gcc-4.2.2  
> --mandir=/usr/local/man --with-gnu-as --with-as=/usr/local/bin/gnu-as  
> --without-gnu-ld --with-ld=/usr/ccs/bin/ld --disable-nls  
> --enable-threads=posix --enable-languages=c,c++
>
> Config/Build für PA-64Bit 4.2.2:  ../configure  
> --prefix=/opt/gcc64-4.2.2 --mandir=/usr/local/man  
> --with-ar=/usr/bin/ar --with-gnu-as --with-as=/usr/local/bin/gnu64-as  
> --without-gnu-ld --with-ld=/usr/ccs/bin/ld --disable-nls  
> --enable-threads=posix --enable-languages=c,c++
>
> Important is to *not* use the OS "as" but use some GNU-as with the  
> matching 32/64Bit build. For the "ld" you should use the OS "ld", but  
> your system should be on a recent patchlevel. It is useful to have GNU  
> "awk" and "sed" instead of the OS ones.
>
> For all of the used tools you should always double-check if the  
> intentioned one is used by configure.
>
> Regards & good luck
>
> Andreas
>
>
>
>   

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems,   SUCCESS
  2007-12-20 14:38         ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems, SUCCESS Thomas Mittelstaedt
@ 2007-12-22 21:16           ` Thomas Dineen
  2008-01-10 21:52           ` Resolved: " Thomas Mittelstaedt
  1 sibling, 0 replies; 8+ messages in thread
From: Thomas Dineen @ 2007-12-22 21:16 UTC (permalink / raw)
  To: gcc-help; +Cc: Thomas Dineen

Andreas:

"For the "ld" you should use the OS "ld""

   Why is the local OS's ld preferable to the GNU ld?

Thomas Dineen


Thomas Mittelstaedt wrote:

> Thank you, Andreas,
>
> That got it through, though not cleanly as I had to specify those 
> linker flags '-pthread -lpthread' in 2
> more generated Makefile's, gcc-build/Makefile and fixincludes/Makefile 
> after the comparison and when libstdc++ was
> built. Somebody can be point to the way to do this properly?
> The installed gcc still complains about unsatisfied symbols when 
> linking a small test program. Have add -lpthread all the time.
>
>
> ld: Unsatisfied symbol "pthread_mutex_unlock" in file 
> /localbuild/opt/gcc64-4.2.2/lib/gcc/hppa64-hp-hpux11.11/4.2.2/libgcc_eh.a[unwind-dw2-fde.o] 
>
> ld: Unsatisfied symbol "pthread_mutex_lock" in file 
> /localbuild/opt/gcc64-4.2.2/lib/gcc/hppa64-hp-hpux11.11/4.2.2/libgcc_eh.a[unwind-dw2-fde.o] 
>
> 2 errors.
> collect2: ld returned 1 exit status
>
>
>
>
>
>
>
> Here is my build script:
> PATH=/opt/gcc-4.1.2-64/bin:/usr/local/bin:/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/contrib/bin:/opt/hparray/bin:/opt/nettladm/bin:/opt/upgrade/bin:/opt/fcms/bin:/usr/bin/X11:/usr/contrib/bin/X11:/opt/pd/bin:/opt/resmon/bin:/opt/gnome/bin:/opt/mozilla:/opt/wbem/bin:/opt/wbem/sbin:/opt/graphics/common/bin:/opt/atok/bin:/opt/egb/bin:/usr/sbin/diag/contrib:/opt/vje/bin:/opt/hpsmh/bin:/opt/perl/bin: 
>
>
>
> LDFLAGS='-pthread -lpthread'
> BOOT_LDFLAGS='-pthread -lpthread'
> LDFLAGS_FOR_BUILD='-pthread -lpthread'
> export PATH LDFLAGS BOOT_LDFLAGS LDFLAGS_FOR_BUILD
>
> export CONFIG_SHELL=/usr/local/bin/bash
> export LANG=C
> export CC='/opt/gcc-4.1.2-64/bin/gcc'
>
> ../gcc-4.2.2/configure --prefix=/localbuild/opt/gcc64-4.2.2 
> --enable-version-specific-runtime-libs --enable-static --enable-shared 
> --with-ar=/usr/bin/ar --with-gnu-as --with-as=/opt/gcc-4.1.2-64/bin/as 
> --enable-threads=posix --disable-nls --without-gnu-ld 
> --with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,objc
>
> make CFLAGS='-O' LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 
> -fno-implicit-templates' LDFLAGS='-pthread -lpthread' 
> BOOT_LDFLAGS='-pthread -lpthread' LDFLAGS_FOR_BUILD='-pthread 
> -lpthread' bootstrap
>
>
>
> *** Makefile~    Thu Dec 20 11:51:02 2007
> --- Makefile    Thu Dec 20 15:21:51 2007
> ***************
> *** 149,155 ****
>      CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
>      DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
>      LD="$(LD)"; export LD; \
> !     LDFLAGS="$(LDFLAGS)"; export LDFLAGS; \
>      NM="$(NM)"; export NM; \
>      RANLIB="$(RANLIB)"; export RANLIB; \
>      WINDRES="$(WINDRES)"; export WINDRES; \
> --- 149,155 ----
>      CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
>      DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
>      LD="$(LD)"; export LD; \
> !     LDFLAGS="$(LDFLAGS) -pthread -lpthread"; export LDFLAGS; \
>      NM="$(NM)"; export NM; \
>      RANLIB="$(RANLIB)"; export RANLIB; \
>      WINDRES="$(WINDRES)"; export WINDRES; \
> ***************
> *** 10502,10508 ****
>      srcdiroption="--srcdir=$${topdir}/libstdc++-v3"; \
>      libsrcdir="$$s/libstdc++-v3"; \
>      rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
>        $(TARGET_CONFIGARGS) $${srcdiroption}  \
>        || exit 1
>
> --- 10502,10508 ----
>      srcdiroption="--srcdir=$${topdir}/libstdc++-v3"; \
>      libsrcdir="$$s/libstdc++-v3"; \
>      rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
> $${libsrcdir}/configure \
>        $(TARGET_CONFIGARGS) $${srcdiroption}  \
>        || exit 1
>
> ***************
> *** 12017,12023 ****
>      srcdiroption="--srcdir=$${topdir}/libiberty"; \
>      libsrcdir="$$s/libiberty"; \
>      rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
>        $(TARGET_CONFIGARGS) $${srcdiroption}  \
>        || exit 1
>
> --- 12017,12023 ----
>      srcdiroption="--srcdir=$${topdir}/libiberty"; \
>      libsrcdir="$$s/libiberty"; \
>      rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
> $${libsrcdir}/configure \
>        $(TARGET_CONFIGARGS) $${srcdiroption}  \
>        || exit 1
>
> ***************
> *** 12970,12976 ****
>      srcdiroption="--srcdir=$${topdir}/libgomp"; \
>      libsrcdir="$$s/libgomp"; \
>      rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
>        $(TARGET_CONFIGARGS) $${srcdiroption}  \
>        || exit 1
>
> --- 12970,12976 ----
>      srcdiroption="--srcdir=$${topdir}/libgomp"; \
>      libsrcdir="$$s/libgomp"; \
>      rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
> $${libsrcdir}/configure \
>        $(TARGET_CONFIGARGS) $${srcdiroption}  \
>        || exit 1
>
> *** ./fixincludes/Makefile~     Thu Dec 20 14:53:07 2007
> --- ./fixincludes/Makefile      Thu Dec 20 14:55:46 2007
> ***************
> *** 103,109 ****
>  twoprocess : test-stamp $(AF)
>
>  full-stamp : $(ALLOBJ) $(LIBIBERTY)
> !       $(CC) $(CFLAGS) $(LDFLAGS) -o $(FI) $(ALLOBJ) $(LIBIBERTY)
>        $(STAMP) $@
>
>  test-stamp : $(TESTOBJ) $(LIBIBERTY)
> --- 103,109 ----
>  twoprocess : test-stamp $(AF)
>
>  full-stamp : $(ALLOBJ) $(LIBIBERTY)
> !       $(CC) $(CFLAGS) $(LDFLAGS) -pthread -lpthread -o $(FI) 
> $(ALLOBJ) $(LIBIBERTY)
>        $(STAMP) $@
>
>  test-stamp : $(TESTOBJ) $(LIBIBERTY)
>
>
>
>
>
> Listaccount schrieb:
>
>> Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:
>>
>>  
>>
>>> With a lot of ugly fixing in generated Makefile's, I got past stage 3,
>>> but now libstdc++ does not build.
>>> The generated config.h in hppa64-hp-hpux11.11/libstdc++-v3 seems to be
>>> wrong, as there is an fabsf and altera
>>> on my system, at least in the headers.
>>>     
>>
>>
>> That's how we succed after some trouble when compiling GCC 4.2.2 on  
>> HP-UX 11.11 (PA-RISC) :
>>
>> export CONFIG_SHELL=/usr/bin/bash
>> (Installed from OSS Archiv)
>>
>> export LANG=C
>> (wird für gcc 4.x wegen awk/sed auf HPUX und AIX benötigt!!)
>>
>> export CC=<verwendeter Compiler>
>> We used some gcc 3.4.x in 32/64Bit build
>>
>> Config/Build für PA-32Bit 4.2.2:  ../configure 
>> --prefix=/opt/gcc-4.2.2  --mandir=/usr/local/man --with-gnu-as 
>> --with-as=/usr/local/bin/gnu-as  --without-gnu-ld 
>> --with-ld=/usr/ccs/bin/ld --disable-nls  --enable-threads=posix 
>> --enable-languages=c,c++
>>
>> Config/Build für PA-64Bit 4.2.2:  ../configure  
>> --prefix=/opt/gcc64-4.2.2 --mandir=/usr/local/man  
>> --with-ar=/usr/bin/ar --with-gnu-as 
>> --with-as=/usr/local/bin/gnu64-as  --without-gnu-ld 
>> --with-ld=/usr/ccs/bin/ld --disable-nls  --enable-threads=posix 
>> --enable-languages=c,c++
>>
>> Important is to *not* use the OS "as" but use some GNU-as with the  
>> matching 32/64Bit build. For the "ld" you should use the OS "ld", 
>> but  your system should be on a recent patchlevel. It is useful to 
>> have GNU  "awk" and "sed" instead of the OS ones.
>>
>> For all of the used tools you should always double-check if the  
>> intentioned one is used by configure.
>>
>> Regards & good luck
>>
>> Andreas
>>
>>
>>
>>   
>
>

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: Resolved: Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more  problems,  SUCCESS
  2007-12-20 14:38         ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems, SUCCESS Thomas Mittelstaedt
  2007-12-22 21:16           ` Thomas Dineen
@ 2008-01-10 21:52           ` Thomas Mittelstaedt
  1 sibling, 0 replies; 8+ messages in thread
From: Thomas Mittelstaedt @ 2008-01-10 21:52 UTC (permalink / raw)
  To: gcc-help; +Cc: Listaccount

Did the build again using gcc 4.2.1 available from hp's dspp website.

- Installed patch PHCO_36184 to make those problems with unresolved 
pthread_mutex... symbols go away.
- Used the following to configure & build:

export PATH=/localbuild/opt/hp-gcc64-4.2.1/bin:/... + other stuff
export CONFIG_SHELL=/usr/local/bin/bash
export LANG=C
export CC='/localbuild/opt/hp-gcc64-4.2.1/bin/gcc'

../gcc-4.2.2/configure --prefix=/localbuild/opt/gcc64-4.2.2 
--enable-version-specific-runtime-libs --enable-static --enable-shared 
--with-ar=/usr/bin/ar --with-gnu-as 
--with-as=/localbuild/opt/hp-gcc64-4.2.1/bin/as --enable-threads=posix 
--disable-nls --without-gnu-ld --with-ld=/usr/ccs/bin/ld 
--enable-languages=c,c++,objc

make CFLAGS='-O' LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 
-fno-implicit-templates' bootstrap

Compiled without problems.

thomas


Thomas Mittelstaedt schrieb:
> Thank you, Andreas,
>
> That got it through, though not cleanly as I had to specify those linker 
> flags '-pthread -lpthread' in 2
> more generated Makefile's, gcc-build/Makefile and fixincludes/Makefile 
> after the comparison and when libstdc++ was
> built. Somebody can be point to the way to do this properly?
> The installed gcc still complains about unsatisfied symbols when linking 
> a small test program. Have add -lpthread all the time.
>
>
> ld: Unsatisfied symbol "pthread_mutex_unlock" in file 
> /localbuild/opt/gcc64-4.2.2/lib/gcc/hppa64-hp-hpux11.11/4.2.2/libgcc_eh.a[unwind-dw2-fde.o]
> ld: Unsatisfied symbol "pthread_mutex_lock" in file 
> /localbuild/opt/gcc64-4.2.2/lib/gcc/hppa64-hp-hpux11.11/4.2.2/libgcc_eh.a[unwind-dw2-fde.o]
> 2 errors.
> collect2: ld returned 1 exit status
>
>
>
>
>
>
>
> Here is my build script:
> PATH=/opt/gcc-4.1.2-64/bin:/usr/local/bin:/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/contrib/bin:/opt/hparray/bin:/opt/nettladm/bin:/opt/upgrade/bin:/opt/fcms/bin:/usr/bin/X11:/usr/contrib/bin/X11:/opt/pd/bin:/opt/resmon/bin:/opt/gnome/bin:/opt/mozilla:/opt/wbem/bin:/opt/wbem/sbin:/opt/graphics/common/bin:/opt/atok/bin:/opt/egb/bin:/usr/sbin/diag/contrib:/opt/vje/bin:/opt/hpsmh/bin:/opt/perl/bin:
>
>
> LDFLAGS='-pthread -lpthread'
> BOOT_LDFLAGS='-pthread -lpthread'
> LDFLAGS_FOR_BUILD='-pthread -lpthread'
> export PATH LDFLAGS BOOT_LDFLAGS LDFLAGS_FOR_BUILD
>
> export CONFIG_SHELL=/usr/local/bin/bash
> export LANG=C
> export CC='/opt/gcc-4.1.2-64/bin/gcc'
>
> ../gcc-4.2.2/configure --prefix=/localbuild/opt/gcc64-4.2.2 
> --enable-version-specific-runtime-libs --enable-static --enable-shared 
> --with-ar=/usr/bin/ar --with-gnu-as --with-as=/opt/gcc-4.1.2-64/bin/as 
> --enable-threads=posix --disable-nls --without-gnu-ld 
> --with-ld=/usr/ccs/bin/ld --enable-languages=c,c++,objc
>
> make CFLAGS='-O' LIBCFLAGS='-g -O2' LIBCXXFLAGS='-g -O2 
> -fno-implicit-templates' LDFLAGS='-pthread -lpthread' 
> BOOT_LDFLAGS='-pthread -lpthread' LDFLAGS_FOR_BUILD='-pthread -lpthread' 
> bootstrap
>
>
>
> *** Makefile~    Thu Dec 20 11:51:02 2007
> --- Makefile    Thu Dec 20 15:21:51 2007
> ***************
> *** 149,155 ****
>       CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
>       DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
>       LD="$(LD)"; export LD; \
> !     LDFLAGS="$(LDFLAGS)"; export LDFLAGS; \
>       NM="$(NM)"; export NM; \
>       RANLIB="$(RANLIB)"; export RANLIB; \
>       WINDRES="$(WINDRES)"; export WINDRES; \
> --- 149,155 ----
>       CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
>       DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
>       LD="$(LD)"; export LD; \
> !     LDFLAGS="$(LDFLAGS) -pthread -lpthread"; export LDFLAGS; \
>       NM="$(NM)"; export NM; \
>       RANLIB="$(RANLIB)"; export RANLIB; \
>       WINDRES="$(WINDRES)"; export WINDRES; \
> ***************
> *** 10502,10508 ****
>       srcdiroption="--srcdir=$${topdir}/libstdc++-v3"; \
>       libsrcdir="$$s/libstdc++-v3"; \
>       rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
>         $(TARGET_CONFIGARGS) $${srcdiroption}  \
>         || exit 1
>  
> --- 10502,10508 ----
>       srcdiroption="--srcdir=$${topdir}/libstdc++-v3"; \
>       libsrcdir="$$s/libstdc++-v3"; \
>       rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
> $${libsrcdir}/configure \
>         $(TARGET_CONFIGARGS) $${srcdiroption}  \
>         || exit 1
>  
> ***************
> *** 12017,12023 ****
>       srcdiroption="--srcdir=$${topdir}/libiberty"; \
>       libsrcdir="$$s/libiberty"; \
>       rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
>         $(TARGET_CONFIGARGS) $${srcdiroption}  \
>         || exit 1
>  
> --- 12017,12023 ----
>       srcdiroption="--srcdir=$${topdir}/libiberty"; \
>       libsrcdir="$$s/libiberty"; \
>       rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
> $${libsrcdir}/configure \
>         $(TARGET_CONFIGARGS) $${srcdiroption}  \
>         || exit 1
>  
> ***************
> *** 12970,12976 ****
>       srcdiroption="--srcdir=$${topdir}/libgomp"; \
>       libsrcdir="$$s/libgomp"; \
>       rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
>         $(TARGET_CONFIGARGS) $${srcdiroption}  \
>         || exit 1
>  
> --- 12970,12976 ----
>       srcdiroption="--srcdir=$${topdir}/libgomp"; \
>       libsrcdir="$$s/libgomp"; \
>       rm -f no-such-file || : ; \
> !     CONFIG_SITE=no-such-file LDFLAGS='-pthread -lpthread' $(SHELL) 
> $${libsrcdir}/configure \
>         $(TARGET_CONFIGARGS) $${srcdiroption}  \
>         || exit 1
>
> *** ./fixincludes/Makefile~     Thu Dec 20 14:53:07 2007
> --- ./fixincludes/Makefile      Thu Dec 20 14:55:46 2007
> ***************
> *** 103,109 ****
>   twoprocess : test-stamp $(AF)
>  
>   full-stamp : $(ALLOBJ) $(LIBIBERTY)
> !       $(CC) $(CFLAGS) $(LDFLAGS) -o $(FI) $(ALLOBJ) $(LIBIBERTY)
>         $(STAMP) $@
>  
>   test-stamp : $(TESTOBJ) $(LIBIBERTY)
> --- 103,109 ----
>   twoprocess : test-stamp $(AF)
>  
>   full-stamp : $(ALLOBJ) $(LIBIBERTY)
> !       $(CC) $(CFLAGS) $(LDFLAGS) -pthread -lpthread -o $(FI) $(ALLOBJ) 
> $(LIBIBERTY)
>         $(STAMP) $@
>  
>   test-stamp : $(TESTOBJ) $(LIBIBERTY)
>
>  
>
>
>
> Listaccount schrieb:
>   
>> Zitat von Thomas Mittelstaedt <T.Mittelstaedt@cadenas.de>:
>>
>>   
>>     
>>> With a lot of ugly fixing in generated Makefile's, I got past stage 3,
>>> but now libstdc++ does not build.
>>> The generated config.h in hppa64-hp-hpux11.11/libstdc++-v3 seems to be
>>> wrong, as there is an fabsf and altera
>>> on my system, at least in the headers.
>>>     
>>>       
>> That's how we succed after some trouble when compiling GCC 4.2.2 on  
>> HP-UX 11.11 (PA-RISC) :
>>
>> export CONFIG_SHELL=/usr/bin/bash
>> (Installed from OSS Archiv)
>>
>> export LANG=C
>> (wird für gcc 4.x wegen awk/sed auf HPUX und AIX benötigt!!)
>>
>> export CC=<verwendeter Compiler>
>> We used some gcc 3.4.x in 32/64Bit build
>>
>> Config/Build für PA-32Bit 4.2.2:  ../configure --prefix=/opt/gcc-4.2.2  
>> --mandir=/usr/local/man --with-gnu-as --with-as=/usr/local/bin/gnu-as  
>> --without-gnu-ld --with-ld=/usr/ccs/bin/ld --disable-nls  
>> --enable-threads=posix --enable-languages=c,c++
>>
>> Config/Build für PA-64Bit 4.2.2:  ../configure  
>> --prefix=/opt/gcc64-4.2.2 --mandir=/usr/local/man  
>> --with-ar=/usr/bin/ar --with-gnu-as --with-as=/usr/local/bin/gnu64-as  
>> --without-gnu-ld --with-ld=/usr/ccs/bin/ld --disable-nls  
>> --enable-threads=posix --enable-languages=c,c++
>>
>> Important is to *not* use the OS "as" but use some GNU-as with the  
>> matching 32/64Bit build. For the "ld" you should use the OS "ld", but  
>> your system should be on a recent patchlevel. It is useful to have GNU  
>> "awk" and "sed" instead of the OS ones.
>>
>> For all of the used tools you should always double-check if the  
>> intentioned one is used by configure.
>>
>> Regards & good luck
>>
>> Andreas
>>
>>
>>
>>   
>>     

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2008-01-09 17:06 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2007-12-19  9:30 Problem building gcc-4.2.2 64-bit on hp-ux 11.11 Thomas Mittelstaedt
2007-12-19 11:24 ` Listaccount
2007-12-19 11:44   ` Thomas Mittelstaedt
2007-12-20  8:52     ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems Thomas Mittelstaedt
2007-12-20  9:04       ` Listaccount
2007-12-20 14:38         ` Problem building gcc-4.2.2 64-bit on hp-ux 11.11, more problems, SUCCESS Thomas Mittelstaedt
2007-12-22 21:16           ` Thomas Dineen
2008-01-10 21:52           ` Resolved: " Thomas Mittelstaedt

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).